#!/bin/bash
# Starting script for Rescue Middle Earth 2004
# This script expects 8 arguments
#
# arguments
# $1    server adress           -> -h
# $2    server port             -> -s
# $3    number of fire brigades -> -f
# $4    number of police forces -> -p
# $5    number of ambulances    -> -a
# $6    number of fire stations -> -cF
# $7    number of police stations -> -cP
# $8    number of ambulance stations -> -cA
#
# It calls the program UvAagents at the current directory
# This program has the following command line options
#
# options
# -r	readConfigFile
# -h    kernelhost
# -s    kernelserviceport
# -a	ambulancenumber
# -p	policenumber
# -f	firenumber
# -A    start ambulance center
# -P    start police center
# -F    start fire center
# -d    d_msg
#   -d1 init
#   -d2 comm
#   -d4 act
#   -d8 group
#   -d16 path
#   -d32 pos
#   -d64 phase
# -t	testnumber
# -v	gViewFlags (when compiled with -D VIEWER)
# -x	gSectorX   (when compiled with -D VIEWER)
# -y	gSectorY   (when compiled with -D VIEWER)
# -l	logging
# -e	maxcycles  (obsolete)
# -r	resultperiod

# All in one process 
#"$PWD/UvAagents" -h$1 -s$2 -f$3 -p$4 -a$5 -F$6 -P$7 -A$8 -d1

#for i in $3
#    do
#    echo 'fire '$i
#done
# three processes: Fire, Police, Ambulances
xterm -T UvAfire -e "$PWD/UvAagents" -h$1 -s$2 -f$3 -F$6 -d1 &
xterm -T UvApolice -e "$PWD/UvAagents" -h$1 -s$2 -p$4 -P$7 -d1 &
xterm -T UvAambulance -e "$PWD/UvAagents" -h$1 -s$2 -a$5 -A$8 -d1 &
